Index: LinearAlgebra/src/LinearAlgebra/BoxVector.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/BoxVector.cpp	(revision 6d608dd5c311453412d113310ff79086151fd29b)
+++ LinearAlgebra/src/LinearAlgebra/BoxVector.cpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * BoxVector.cpp
Index: LinearAlgebra/src/LinearAlgebra/LineSegment.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/LineSegment.cpp	(revision 6d608dd5c311453412d113310ff79086151fd29b)
+++ LinearAlgebra/src/LinearAlgebra/LineSegment.cpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * LineSegment.cpp
Index: LinearAlgebra/src/LinearAlgebra/LineSegmentSet.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/LineSegmentSet.cpp	(revision 6d608dd5c311453412d113310ff79086151fd29b)
+++ LinearAlgebra/src/LinearAlgebra/LineSegmentSet.cpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * LineSegmentSet.cpp
Index: LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp
===================================================================
--- LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp	(revision 6d608dd5c311453412d113310ff79086151fd29b)
+++ LinearAlgebra/src/LinearAlgebra/MatrixContent.cpp	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * MatrixContent.cpp
Index: LinearAlgebra/tests/CodeChecks/Makefile.am
===================================================================
--- LinearAlgebra/tests/CodeChecks/Makefile.am	(revision 6d608dd5c311453412d113310ff79086151fd29b)
+++ LinearAlgebra/tests/CodeChecks/Makefile.am	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
@@ -7,4 +7,5 @@
 	testsuite-date_in_dox.at \
 	testsuite-memdebug.at \
+	testsuite-project-disclaimer.at \
 	$(TESTSUITE)
 TESTSUITE = $(srcdir)/testsuite
@@ -15,5 +16,6 @@
 	testsuite-config_h.at \
 	testsuite-date_in_dox.at \
-	testsuite-memdebug.at
+	testsuite-memdebug.at \
+	testsuite-project-disclaimer.at
 
 max_jobs = 4
Index: LinearAlgebra/tests/CodeChecks/testsuite-project-disclaimer.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite-project-disclaimer.at	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
+++ LinearAlgebra/tests/CodeChecks/testsuite-project-disclaimer.at	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
@@ -0,0 +1,26 @@
+AT_SETUP([Checking for present project disclaimer])
+AT_KEYWORDS([CodeCheck disclaimer])
+ok=""
+echo `pwd`
+echo "${#ok[*]} are ok to not contain config.h: ${ok[*]}."
+liste=`find ${abs_top_srcdir}/src -name '*.cpp'`
+for file in $liste
+do
+  # check whether its one of the excluded ones
+  found=0
+  for item in $ok
+  do
+    if test "$item" == "`basename $file`"
+    then
+      found=1
+      break
+    fi
+  done
+  # if not, check whether it contains the include
+  if test $found -eq 0
+  then
+    AT_CHECK([egrep -q " * Project: MoleCuilder" $file], 0, [ignore], [ignore], [echo "Could not find project disclaimer in $file."])
+    AT_CHECK([egrep -q " * Copyright.* University of Bonn" $file], 0, [ignore], [ignore], [echo "Could not find copyright in $file."])
+  fi
+done
+AT_CLEANUP
Index: LinearAlgebra/tests/CodeChecks/testsuite.at
===================================================================
--- LinearAlgebra/tests/CodeChecks/testsuite.at	(revision 6d608dd5c311453412d113310ff79086151fd29b)
+++ LinearAlgebra/tests/CodeChecks/testsuite.at	(revision a965b256ab0caa17547ae518bcde87e673b9c103)
@@ -18,2 +18,5 @@
 
 m4_include(testsuite-memdebug.at)
+
+m4_include(testsuite-project-disclaimer.at)
+
